Skip to main content
GET
Get automation runs

Authorizations

Authorization
string
header
default:Bearer brew_your_api_key
required

Send your Brew API key as Authorization: Bearer brew_xxx.

Query Parameters

automationRunId
string

Fetch a single run by id (detail mode → { data: [row] }). Omit to list.

Required string length: 1 - 64
include
enum<string>

Detail-only expansion: logs inlines the per-node execution logs. Rejected without automationRunId.

Available options:
logs
automationId
string
Required string length: 1 - 64
triggerEventId
string
Required string length: 1 - 256
triggerInstanceId
string
Required string length: 4 - 64
recipientEmail
string<email>
status
enum<string>
Available options:
pending,
running,
completed,
failed,
canceled
mode
enum<string>
Available options:
live,
test
from
string<date-time>
to
string<date-time>
limit
integer
Required range: 1 <= x <= 100
cursor
string
Required string length: 1 - 256

Response

A page of runs.

data
object[]
required
pagination
object